class RewardAdCallbacks {
  final Function(dynamic adId) onLoad;
  final Function(dynamic error) onAdLoadFail;
  final Function(dynamic adId) onAdOpen;
  final Function(dynamic error) onAdOpenFail;
  final Function(dynamic adId) onClose;
  final Function(dynamic adId) onRewardEarned;

  RewardAdCallbacks({
    required this.onLoad,
    required this.onAdLoadFail,
    required this.onAdOpen,
    required this.onAdOpenFail,
    required this.onClose,
    required this.onRewardEarned,
  });
}
