// This class handles the banner listener
import Flutter
import Yodo1MasCore

class BannerAdListener: NSObject,Yodo1MasBannerAdViewDelegate {
    let channel: FlutterMethodChannel

    init(channel: FlutterMethodChannel) {
        self.channel = channel
    }


    func onBannerAdLoaded(_ banner: Yodo1MasBannerAdView)
    {
        
        channel.invokeMethod("banner_loaded",arguments: [])
    }
    func onBannerAdFailed(toLoad banner: Yodo1MasBannerAdView, withError error:
    Yodo1MasError)
    {
        let arguments = ["errorMessage":error.localizedDescription];
        channel.invokeMethod("banner_loaderror", arguments: arguments);

    }
    func onBannerAdOpened(_ banner: Yodo1MasBannerAdView)
    {
        
        channel.invokeMethod("banner_open",arguments: [])
    }
    func onBannerAdFailed(toOpen banner: Yodo1MasBannerAdView, withError error: Yodo1MasError)
     {
        let arguments = ["errorMessage":error.localizedDescription];
        channel.invokeMethod("banner_OPENerror", arguments: arguments);
     }
    func onBannerAdClosed(_ banner: Yodo1MasBannerAdView)
    {
       
        channel.invokeMethod("banner_close",arguments: [])
    }


}
