class BannerAdCallback {
  final void Function()? onLoad;
  final void Function()? onOpen;

  final void Function()? onClosed;
  final void Function(String error)? onOpenFail;
  final void Function(String errorMessage)? onLoadFailed;

  BannerAdCallback({
    required this.onLoad,
    required this.onOpen,
    required this.onOpenFail,
    required this.onClosed,
    required this.onLoadFailed,
  });
}
